<html>
    <head>
		<link rel="stylesheet" href="css/bootstrap.css">
        <link rel="stylesheet" href="css/bootstrap-rtl.css">
		<script src="scripts/jquery.min.js"></script>
		<script src="scripts/bootstrap.min.js"></script>
		<style>
		pre{
			direction:ltr;
		}
		.panel{
			width:100%;
			transition: all 0.1s linear;
			border-right-style:solid;
			border-right-width:1px;
			border-color:#ddd;
			height:100%;
			float:left;
			overflow:hidden;
		}
		.panel1{
			width:calc(90% - 3px);
			border-left-style:none;
		}
		.panel2{
			width:calc(80% - 6px);
			border-left-style:none;
		}
		.content{
			padding:10px;
			direction:rtl;
			overflow-y:auto;
		}
		.collapsed{
			width:10%;
		}
		.panel > .list-group
		{
			margin-bottom: 0;
		}
		.panel > .list-group .list-group-item
		{
			border-width: 1px 0;
		}
		.panel > .list-group .list-group-item:first-child
		{
			border-top-right-radius: 0;
			border-top-left-radius: 0;
		}
		.panel > .list-group .list-group-item:last-child
		{
			border-bottom: 0;
		}
		.panel-heading + .list-group .list-group-item:first-child
		{
			border-top-width: 0;
		}
		.panel-default .list-group-item.active
		{
			color: #000;
			background-color: #DDD;
			border-color: #DDD;
		}
		.panel-primary .list-group-item.active
		{
			color: #FFF;
			background-color: #428BCA;
			border-color: #428BCA;
		}
		.panel-success .list-group-item.active
		{
			color: #3C763D;
			background-color: #DFF0D8;
			border-color: #D6E9C6;
		}
		.panel-info .list-group-item.active
		{
			color: #31708F;
			background-color: #D9EDF7;
			border-color: #BCE8F1;
		}
		.panel-warning .list-group-item.active
		{
			color: #8A6D3B;
			background-color: #FCF8E3;
			border-color: #FAEBCC;
		}
		.panel-danger .list-group-item.active
		{
			color: #A94442;
			background-color: #F2DEDE;
			border-color: #EBCCD1;
		}
		.panel a.list-group-item.active:hover, a.list-group-item.active:focus
		{
			color: #000;
			background-color: #DDD;
			border-color: #DDD;
		}
		
		</style>
        <meta charset="utf-8">
		<script>
		var selectedCommand = -1;
		var selectedQuery = -1;
		function select1(id)
		{
			if (selectedCommand == -1)
			{
				$("#panel1").addClass("collapsed");
				$("#panel2" + id).removeClass("hidden");
				$("#panel2" + id).css("left:30%");
				$("#cm"+id).addClass("active");
				console.log('hey');
				selectedCommand = id;
			}
			else
			if (selectedCommand == id)
			{
				$("#panel1").removeClass("collapsed");
				$("#panel2" + id).addClass("hidden");
				$("#panel2" + id).css("left:100%");
				$("#cm"+selectedCommand).removeClass("active");
				if (selectedCommand == 1)
					select2(selectedQuery);
				selectedCommand = -1;
			}
			else
			if (selectedCommand != id)
			{
				if (selectedCommand != -1)
				{
					$("#cm" + selectedCommand).removeClass("active");
					$("#panel2" + selectedCommand).addClass("hidden");
					$("#panel2" + selectedCommand).css("left:100%");
					if (selectedCommand == 1)
						select2(selectedQuery);
				}
				$("#cm"+id).addClass("active");
				$("#panel2" + id).removeClass("hidden");
				$("#panel2" + id).css("left:30%");
				selectedCommand = id;
			}
		}
		function select2(id)
		{
			if (selectedQuery == -1)
			{
				$("#panel21").addClass("collapsed");
				$("#qr" + id).removeClass("hidden");
				$("#qr" + id).css("left:30%");
				$("#qu" + id).addClass("active");
				selectedQuery = id;
			}
			else
			if (selectedQuery == id)
			{
				$("#panel21").removeClass("collapsed");
				$("#qr" + id).addClass("hidden");
				$("#qr" + id).css("left:100%");
				$("#qu"+selectedQuery).removeClass("active");
				selectedQuery = -1;
			}
			else
			if (selectedQuery != id)
			{
				if (selectedQuery != -1)
				{
					$("#qu" + selectedQuery).removeClass("active");
					$("#qr" + selectedQuery).addClass("hidden");
					$("#qr" + selectedQuery).css("left:100%");
				}
				$("#qu"+id).addClass("active");
				$("#qr" + id).removeClass("hidden");
				$("#qr" + id).css("left:30%");
				selectedQuery = id;
			}
		}
		</script>
    </head>
    <body dir="rtl" style="padding:20px">
        <h1>راهنما</h1>
		<div class="panel" style="height:calc(100% - 200px);border-style:solid; border-width:1px;"; dir="ltr">
			<div id="panel1" class="panel">
				<ul class="list-group">
                    <a onclick="select1(1)" id="cm1" class="list-group-item">Query</a>
                    <a onclick="select1(2)" id="cm2" class="list-group-item">Buy</a>
                    <a onclick="select1(3)" id="cm3" class="list-group-item">Sell</a>
                    <a onclick="select1(4)" id="cm4" class="list-group-item">Move</a>
                    <a onclick="select1(5)" id="cm5" class="list-group-item">Upgrade</a>
					<a onclick="select1(6)" id="cm6" class="list-group-item">Reset</a>
                </ul>
			</div>
			<div id="panel21" class="panel panel1 hidden">
				<ul class="list-group">
                    <a onclick="select2(1)" id="qu1" class="list-group-item">Me</a>
                    <a onclick="select2(2)" id="qu2" class="list-group-item">Towns</a>
                    <a onclick="select2(3)" id="qu3" class="list-group-item">Economy</a>
                    <a onclick="select2(4)" id="qu4" class="list-group-item">Market</a>
                    <a onclick="select2(5)" id="qu5" class="list-group-item">Players</a>
					<a onclick="select2(6)" id="qu6" class="list-group-item">Oracle</a>
                </ul>
			</div>
			<div id="panel22" class="panel panel1 content hidden">
				<h4>درخواست خرید</h4>
				<pre dir="ltr">buy $itemId $amount</pre>
				<h6>در صورت موفقیت</h6>
				<p>کالای خواسته شده به موجودی شما اضافه می‌گردد و از موجودی شهر کاسته می‌شود. سپس<code style="background-color:#dfd; color:#4d5;">done</code>برای شما فرستاده خواهد شد</p>
				<h6>خطا</h6>
				<ul>
					<li>در صورتی که ظرفیت کافی برای خرید نداشته باشید با <code>insufficient capacity</code>مواجه خواهید شد.</li>
					<li>در صورتی که شهر به تعداد مورد درخواست شما از کالا نداشته باشد با پیغام<code>insufficient goods</code>مواجه خواهید شد.</li>
					<li>در صورتی که طلای کافی جهت خرید کالا را به همراه نداشته باشید با پیغام<code>insufficient funds</code>مواجه خواهید شد.</li>
				<ul>
			</div>
			<div id="panel23" class="panel panel1 content hidden">
				<h4>درخواست فروش</h4>
				<pre dir="ltr">sell $itemId $amount</pre>
				<h6>در صورت موفقیت</h6>
				<p>کالای خواسته شده‌ی شما فروخته می‌شود و مبلغ آن به طلای شما اضافه می‌گردد <code style="background-color:#dfd; color:#4d5;">done</code>برای شما فرستاده خواهد شد</p>
				<h6>خطا</h6>
				<ul>
					<li>در صورتی که کالای کافی برای فروش نداشته باشید با <code>insufficient goods</code>مواجه خواهید شد.</li>
					<li>در صورتی که شهر ظرفیت خرید کالا از شما را نداشته باشد با پیغام<code>insufficient town store</code>مواجه خواهید شد.</li>
				<ul>
			</div>
			<div id="panel24" class="panel panel1 content hidden">
				<h4>درخواست حرکت</h4>
				<pre dir="ltr">move $townId</pre>
				<h6>در صورت موفقیت</h6>
				<p>به شهری که خواسته‌اید منتقل خواهید شد. سپس پیغام <code style="background-color:#dfd; color:#4d5;">done</code>برای شما فرستاده خواهد شد</p>
				<h6>خطا</h6>
				<ul>
					<li>در صورتی که کد شهر اشتباه باشد با پیغام <code>invalid town id</code>مواجه خواهید شد.</li>
					<li>در صورتی که کد شهر مقصد کد همان شهری باشد که بازیکن شما اکنون در آن حضور دارد با پیغام <code>already at destination</code>مواجه خواهید شد.</li>
				<ul>
			</div>
			<div id="panel25" class="panel panel1 content hidden">
				<h4>درخواست ارتقا</h4>
				<pre dir="ltr">upgrade</pre>
				<h6>در صورت موفقیت</h6>
				<p>ظرفیت بار بازیکن شما دو برابر خواهد شد سپس پیغام <code style="background-color:#dfd; color:#4d5;">done</code>برای شما فرستاده خواهد شد</p>
				<h6>خطا</h6>
				<p>در صورتی که طلای کافی برای ارتقای ظرفیت را نداشته باشید با پیغام <code>insufficient funds</code>مواجه خواهید شد.</p>
			</div>
			<div id="panel26" class="panel panel1 content hidden">
				<h4>اعلام ورشکستگی</h4>
				<pre dir="ltr">reset</pre>
				<p>این دستور سرمایه‌ی شما را به تنظیمات اولیه‌ی بازی باز می‌گرداند. همچنین تمام دارایی‌های شما از بین خواهد رفت. در نتیجه‌این عملیات امتیاز شما از بین نخواهد رفت</p>
			</div>
			<div id="qr1" class="panel panel2 content hidden">
				<h4>درخواست اطلاعات شخصی</h4>
				<pre dir="ltr">query me</pre>
				<p>در جواب این دستور اطلاعات کاربر پاسخ داده خواهد شد. در اولین خط اطلاعات کلی بازیکن و در ادامه کالا‌هایی که در این لحظه در تملک بازیکن هستند را خروجی می‌دهد.</p>
				<pre>
$id $gold $townId $capacity $increaseCapacityCost $oracleCost
$n
$itemId_1 $quantity_1
.
.
.
$itemId_n $quantity_n
				</pre>
				<ul>
					<li> id: شماره‌ی بازیکن است. </li>
					<li> gold: میزان طلای کنونی بازیکن</li>
					<li> townId: میزان حداکثر کالایی که بازیکن می‌تواند به همراه داشته باشد. این میزان مجموع تمام کالاست</li>
					<li> increaseCapacityCost: هزینه‌ای که بازیکن باید برای افزایش ظرفیت حمل بار بپردازد</li>
					<li> oracleCost: هزینه‌ای که بازیکن باید برای درخواست از پیشگو بدهد</li>
				</ul>
			</div>
			<div id="qr2" class="panel panel2 content hidden">
				<h4>درخواست اطلاعات شهرها</h4>
				<pre dir="ltr">query towns</pre>
				<p>در پاسخ ابتدا تعداد شهرها و سپس اطلاعات هر شهر نوشته خواهد شد</p>
				<pre>
$n
$townId_1 posX_1 posY_1
$townId_2 posX_2 posY_2
.
.
.
$townId_n posX_n posY_n
				</pre>
			</div>
			<div id="qr3" class="panel panel2 content hidden">
				<h4>درخواست اطلاعات دنیا</h4>
				<pre dir="ltr">query economy</pre>
				<p>در پاسخ این دستور اطلاعات کلی کشور پاسخ داده می‌شود. در اولین خط تعداد خطوطی که در ادامه خواهد آمد گفته می‌شود. سپس در خطوط بعدی اطلاعات به شحر زیر گفته خواهد شد.</p>
				<pre>
$n
$townId_1 $itemId_1 $basePriceBuy_1 $basePriceSell_1 $production_1 $consumption_1 $maxStore_1 $influence_1
$townId_1 $itemId_2 $basePriceBuy_2 $basePriceSell_2 $production_2 $consumption_2 $maxStore_2 $influence_2
.
.
.
$townId_t $itemId_n $basePriceBuy_n $basePriceSell_n $production_n $consumption_n $maxStore_n $influence_n
				</pre>
				<ul>
					<li><span dir="ltr">townId</span> بیانگر شناسه‌ی شهر.</li>
					<li><span dir="ltr">itemId</span> بیانگر شناسه‌ی کالا.</li>
					<li><span dir="ltr">basePriceBuy</span> بیانگر قیمت خرید پایه.</li>
					<li><span dir="ltr">basePriceSell</span> بیانگر قیمت فروش پایه.</li>
					<li><span dir="ltr">production</span> بیانگر میزان تولید کالا در هر واحد زمانی.</li>
					<li><span dir="ltr">consumption</span> بیانگر میزان مصرف کالا در هر واحد زمانی.</li>
					<li><span dir="ltr">maxStore</span> بیانگر حداکثر تعدادی که از کالا در شهر نگهداری خواهد شد.</li>
					<li><span dir="ltr">influence</span> بیانگر تاثیری است که وجود هر واحد کالا بر روی قیمت خرید و فروش کالا خواهد داشت</li>
			</div>
			<div id="qr4" class="panel panel2 content hidden">
				<h4>درخواست اطلاعات بازار</h4>
				<pre dir="ltr">query market</pre>
				<p>در اولین خطوط پاسخ بازگرندانده می‌شود. در خطوط بعدی به ترتیب شناسه‌ی کالا، موجودی کالا در شهر، قیمت فعلی خرید کالا، و در نهایت قیمت فعلی فروش نوشته می‌شود.</p>
				<pre>
$n
$item_1 $stock_1 $buyPrice_1 $sellPrice_1
.
.
.
$item_n $stock_n $buyPrice_n $sellPrice_n
				</pre>
			</div>
			<div id="qr5" class="panel panel2 content hidden">
				<h4>درخواست اطلاعات دیگر بازیکنان</h4>
				<pre dir="ltr">query players</pre>
				<p>جوابی شامل تمام بازیکنانی که هم‌اکنون در شهر شما هستند دریافت خواهید کرد. در اولین خط پاسخ تعداد بازیکنان مجاور داده می‌شود و در n خط بعدی شماره‌ی<br>هر خط شامل شماره‌ی کد بازیکن و دارایی فعلی او می‌باشد</p>
				<pre>
$n
$PlayerId_1 $Gold_1
.
.
.
$PlayerId_$n $Gold_$n
				</pre>
			</div>
			<div id="qr6" class="panel panel2 content hidden">
				<h4>درخواست اطلاعات از پیشگو</h4>
				<pre dir="ltr">query oracle $itemID</pre>
				<h6>در صورت موفقیت</h6>
				<p>جوابی همانند جواب اطلاعات بازار از شهر مورد نظر دریافت خواهید کرد.</p>
				<h6>خطا</h6>
				<ul>
					<li>در صورتی که شماره‌ی شهر معتبر نباشد با پیغام خطای زیر مواجه می‌شوید<br><code dir="ltr">invalid city id.</code></li>
					
				</ul>
			</div>
		</div>
    </body>
</html>